We have a created a simple flask application.
Docker file - To build an image out of it.

Then we have uploaded the image to the ECR repository which is named as flaskapp.

ECS cluster is being deployed using EC2.

Then we have gitlabrunner named flaskproject which is being used to run the CI/CD pipeline.

In CI/CD we have variable defined for ECS cluster 

We have to stages Build and Deploy where in build step we are buiding the image and push the image to the repository

In deploy stage we are displying the taskdefinition and extracting the container definiition out of it.

And then we are registering the new container definition

And then updating the  ECS service.

New task in ECS will not run until we stop the old task, so we extracting the old task and stopping it.



